## kismet 2010-01-R1-r3022-1

=== plugin-ptw/Makefile ===
# You will need kismet newcore sources
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS ?= $(LDFLAGS)
PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ -lssl -lpthread
CFLAGS 	+= -I/usr/include -I$(KIS_INC_DIR) -g -fPIC

PLUGOBJS = aircrack-crypto.o aircrack-ptw2-lib.o aircrack-kismet.o
PLUGOUT = aircrack-kismet.so

all:	$(PLUGOUT)

$(PLUGOUT):	$(PLUGOBJS)
	$(LD) $(PLUGINLDFLAGS) $(PLUGOBJS) -o $(PLUGOUT) $(LIBS)

install:	$(PLUGOUT)
	mkdir -p $(DESTDIR)$(prefix)/lib/kismet/

	install -o $(INSTUSR) -g $(INSTGRP) -m 644 $^ $(DESTDIR)$(prefix)/lib/kismet/$^

userinstall:	$(PLUGOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	install $(PLUGOUT) ${HOME}/.kismet/plugins/$(PLUGOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== plugin-spectools/Makefile ===
# You will need kismet newcore sources
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS ?= $(LDFLAGS)
PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ 
CFLAGS 	+= -I/usr/include -I$(KIS_INC_DIR) -g -fPIC

CLIOBJS = spectools_ui.o
CLIOUT	= spectools_ui.so

SRVOBJS = spectool_netclient.o spectool_kismet.o
SRVOUT	= spectool_net.so

all:	$(SRVOUT) $(CLIOUT)

$(CLIOUT):	$(CLIOBJS)
	$(LD) $(PLUGINLDFLAGS) $(CLIOBJS) -o $(CLIOUT) $(LIBS)

$(SRVOUT):	$(SRVOBJS)
	$(LD) $(PLUGINLDFLAGS) $(SRVOBJS) -o $(SRVOUT) $(LIBS)

install:	$(SRVOUT) $(CLIOUT)
	mkdir -p $(DESTDIR)$(prefix)/lib/kismet/
	install -o $(INSTUSR) -g $(INSTGRP) -m 644 $(SRVOUT) $(DESTDIR)$(prefix)/lib/kismet/$(SRVOUT)
	mkdir -p $(DESTDIR)$(prefix)/lib/kismet_client/
	install -o $(INSTUSR) -g $(INSTGRP) -m 644 $(CLIOUT) $(DESTDIR)$(prefix)/lib/kismet_client/$(CLIOUT)

userinstall:	$(SRVOUT) $(CLIOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	install -v $(SRVOUT) ${HOME}/.kismet/plugins/$(SRVOUT)
	mkdir -p ${HOME}/.kismet/client_plugins/
	install -v $(CLIOUT) ${HOME}/.kismet/client_plugins/$(CLIOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== debian/changelog ===
kismet (2010-01-R1-r3022-1) unstable; urgency=low

  * New upstream revision

 -- David Gnedt <david.gnedt@platinumzone24.at>  Sat, 24 Apr 2010 00:55:51 +0200

kismet (2010-01-R1-r3021-2) unstable; urgency=low

  * Fix build dependencies

 -- David Gnedt <david.gnedt@platinumzone24.at>  Thu, 22 Apr 2010 17:13:18 +0200

kismet (2010-01-R1-r3021-1) unstable; urgency=low

  * Initial release

 -- David Gnedt <david.gnedt@platinumzone24.at>  Thu, 22 Apr 2010 16:18:02 +0200

## kismet 2010.01.R1-r3022-1

=== plugin-btscan/Makefile ===
# You will need kismet newcore sources
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS ?= $(LDFLAGS)
PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ -lbluetooth -lpthread
CFLAGS 	+= -I/usr/include -I$(KIS_INC_DIR) -g -fPIC

SRVOBJS = packetsource_linuxbt.o tracker_btscan.o dumpfile_btscantxt.o kismet_btscan.o
SRVOUT	= btscan.so

CLIOBJS	= btscan_ui.o
CLIOUT 	= btscan_ui.so

all:	$(SRVOUT) $(CLIOUT)

$(CLIOUT):	$(CLIOBJS)
	$(LD) $(PLUGINLDFLAGS) $(CLIOBJS) -o $(CLIOUT) $(LIBS)

$(SRVOUT):	$(SRVOBJS)
	$(LD) $(PLUGINLDFLAGS) $(SRVOBJS) -o $(SRVOUT) $(LIBS)

install:	$(SRVOUT) $(CLIOUT)
	mkdir -p $(DESTDIR)$(prefix)/lib/kismet/
	install -o $(INSTUSR) -g $(INSTGRP) -m 644 $(SRVOUT) $(DESTDIR)$(prefix)/lib/kismet/$(SRVOUT)
	mkdir -p $(DESTDIR)$(prefix)/lib/kismet_client/
	install -o $(INSTUSR) -g $(INSTGRP) -m 644 $(CLIOUT) $(DESTDIR)$(prefix)/lib/kismet_client/$(CLIOUT)

userinstall:	$(SRVOUT) $(CLIOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	install -v $(SRVOUT) ${HOME}/.kismet/plugins/$(SRVOUT)
	mkdir -p ${HOME}/.kismet/client_plugins/
	install -v $(CLIOUT) ${HOME}/.kismet/client_plugins/$(CLIOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== debian/changelog ===
kismet (2010.01.R1-r3022-1) unstable; urgency=low

  * Fix package version

 -- David Gnedt <david.gnedt@platinumzone24.at>  Mon, 26 Apr 2010 16:08:37 +0200

=== debian/control ===
Source: kismet
Section: user/network
Priority: optional
Maintainer: David Gnedt <david.gnedt@platinumzone24.at>
Build-Depends: debhelper (>= 5), autotools-dev, libcap-dev, libgconf2-dev,
 liblocation-dev, libncurses5-dev, libpcap0.8-dev, libpcre3-dev
Standards-Version: 3.7.2

Package: kismet
Architecture: any
Depends: ${shlibs:Depends}
Description: Wireless 802.11b monitoring tool
 Kismet is a 802.11b wireless network sniffer. It is capable of sniffing
 using almost any supported wireless card using the Airo, HostAP, Wlan-NG,
 and Orinoco (with a kernel patch) drivers.
 .
 Kismet is a command-line only program and so should be used inside
 X Terminal.
 .
 This version includes experimental support for liblocation (internal GPS).
XB-Maemo-Display-Name: Kismet
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
 MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
 ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
 SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
 SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
 doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
 jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
 OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
 xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
 lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
 occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
 EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
 inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
 uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
 DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
 QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
 ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
 Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
 mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
 kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
 gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
 WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
 rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
 orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
 VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
 +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
 rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
 GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
 kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
 HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
 Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
 jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
 rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
 hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
 kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
 LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
 /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
 +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
 DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
 deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
 mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
 RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
 X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
 5l7y6xMAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/opt/kismet --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-suidgroup=users CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) dep
	$(MAKE)
	#$(MAKE) plugins

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) plugins-clean
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kismet.
	$(MAKE) prefix=$(CURDIR)/debian/kismet/opt/kismet suidinstall
	rm -Rf $(CURDIR)/debian/kismet/opt/kismet/share/man
	# Plugin dependencies: libbluetooth3-dev, libssl-dev, libusb-dev
	#$(MAKE) prefix=$(CURDIR)/debian/kismet/opt/kismet plugins-install
	dh_install debian/manuf opt/kismet/etc/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs CHANGELOG
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms --exclude opt/kismet/bin/kismet_capture
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kismet 2010.01.R1-r3028-1

=== plugin-btscan/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 PLUGINLDFLAGS ?= $(LDFLAGS)
 PLUGINLDFLAGS += -shared -rdynamic
-LIBS	+= -lstdc++ -lbluetooth -lpthread
+LIBS	+= -lstdc++ -lbluetooth -lpthread -lncurses -lpanel
 CFLAGS 	+= -I/usr/include -I$(KIS_INC_DIR) -g -fPIC
 
 SRVOBJS = packetsource_linuxbt.o tracker_btscan.o dumpfile_btscantxt.o kismet_btscan.o

=== plugin-dot15d4/Makefile ===
# You will need kismet newcore sources
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS ?= $(LDFLAGS)
PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ -lusb -lpthread
CFLAGS 	+= -I/usr/include -I$(KIS_INC_DIR) -g -fPIC

SRVOBJS = packetsource_raven.o packet_dot15d4.o packet_dot15d4_types.o \
			tracker_dot15d4.o kismet_dot15d4.o
SRVOUT	= dot15dot4.so

all:	$(SRVOUT) $(CLIOUT)

$(CLIOUT):	$(CLIOBJS)
	$(LD) $(PLUGINLDFLAGS) $(CLIOBJS) -o $(CLIOUT) $(LIBS)

$(SRVOUT):	$(SRVOBJS)
	$(LD) $(PLUGINLDFLAGS) $(SRVOBJS) -o $(SRVOUT) $(LIBS)

install:	$(SRVOUT) $(CLIOUT)
	mkdir -p $(DESTDIR)$(prefix)/lib/kismet/
	install -o $(INSTUSR) -g $(INSTGRP) -m 644 $(SRVOUT) $(DESTDIR)$(prefix)/lib/kismet/$(SRVOUT)

userinstall:	$(SRVOUT) $(CLIOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	install -v $(SRVOUT) ${HOME}/.kismet/plugins/$(SRVOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== plugin-ptw/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 PLUGINLDFLAGS ?= $(LDFLAGS)
 PLUGINLDFLAGS += -shared -rdynamic
-LIBS	+= -lstdc++ -lssl -lpthread
+LIBS	+= -lstdc++ -lssl -lpthread -lcrypto
 CFLAGS 	+= -I/usr/include -I$(KIS_INC_DIR) -g -fPIC
 
 PLUGOBJS = aircrack-crypto.o aircrack-ptw2-lib.o aircrack-kismet.o

=== debian/changelog ===
kismet (2010.01.R1-r3028-1) unstable; urgency=low

  * New upstream revision
  * Network manager integration
  * Plugin packages

 -- David Gnedt <david.gnedt@platinumzone24.at>  Sun, 11 May 2010 14:43:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: user/network
 Priority: optional
 Maintainer: David Gnedt <david.gnedt@platinumzone24.at>
-Build-Depends: debhelper (>= 5), autotools-dev, libcap-dev, libgconf2-dev,
- liblocation-dev, libncurses5-dev, libpcap0.8-dev, libpcre3-dev
+Build-Depends: debhelper (>= 5), autotools-dev, libcap-dev, libncurses5-dev,
+ libpcap0.8-dev, libpcre3-dev,
+ libgconf2-dev, liblocation-dev,
+ libbluetooth3-dev, libssl-dev, libusb-dev
 Standards-Version: 3.7.2
 
 Package: kismet
@@ -78,3 +80,141 @@
  4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
  5l7y6xMAAAAASUVORK5CYII=
 
+Package: kismet-plugin-autowep
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: Wireless 802.11b monitoring tool - Plugin AutoWEP
+ Kismet is a 802.11b wireless network sniffer. It is capable of sniffing
+ using almost any supported wireless card using the Airo, HostAP, Wlan-NG,
+ and Orinoco (with a kernel patch) drivers.
+ .
+ Kismet is a command-line only program and so should be used inside
+ X Terminal.
+ .
+ Many nationwide carriers have started turning on WEP by default in
+ routers, however in addition to the normal flaws in WEP, the key is
+ easily derived from the BSSID and SSID
+ http://xkyle.com/2009/03/03/verizon-fios-wireless-key-calculator/
+ explains the algorithm used for one popular carrier.
+XB-Maemo-Display-Name: Kismet Plugin AutoWEP
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
+ 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
+ MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
+ 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
+ ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
+ 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
+ SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
+ SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
+ doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
+ jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
+ OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
+ xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
+ lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
+ 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
+ occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
+ EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
+ inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
+ 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
+ uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
+ DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
+ QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
+ ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
+ 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
+ Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
+ 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
+ mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
+ kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
+ gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
+ 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
+ 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
+ WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
+ rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
+ orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
+ VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
+ +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
+ rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
+ GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
+ kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
+ HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
+ Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
+ jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
+ rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
+ hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
+ kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
+ LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
+ /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
+ +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
+ DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
+ 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
+ deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
+ mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
+ 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
+ RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
+ X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
+ 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
+ 5l7y6xMAAAAASUVORK5CYII=
+
+Package: kismet-plugin-btscan
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: Wireless 802.11b monitoring tool - Plugin BTSCAN
+ Kismet is a 802.11b wireless network sniffer. It is capable of sniffing
+ using almost any supported wireless card using the Airo, HostAP, Wlan-NG,
+ and Orinoco (with a kernel patch) drivers.
+ .
+ Kismet is a command-line only program and so should be used inside
+ X Terminal.
+ .
+ Kismet-BTSCAN is a Kismet plugin which provides basic scan support for
+ Bluetooth, aka 802.15.1.  Bluetooth is a (relatively) low-power PAN
+ network protocol for streaming audio, sharing phone data, etc.
+ .
+ This is NOT a Bluetooth SNIFFER.  Kismet-BTSCAN uses the scan
+ functionality in the bluetooth drivers to find nearby DISCOVERABLE
+ bluetooth devices.
+ .
+ It CAN NOT BE USED with 802.11 wi-fi cards, it is a completely different
+ protocol.
+XB-Maemo-Display-Name: Kismet Plugin BTSCAN
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
+ 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
+ MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
+ 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
+ ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
+ 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
+ SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
+ SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
+ doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
+ jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
+ OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
+ xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
+ lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
+ 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
+ occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
+ EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
+ inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
+ 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
+ uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
+ DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
+ QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
+ ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
+ 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
+ Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
+ 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
+ mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
+ kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
+ gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
+ 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
+ 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
+ WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
+ rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
+ orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
+ VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
+ +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
+ rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
+ GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
+ kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	# Add here commands to compile the package.
 	$(MAKE) dep
 	$(MAKE)
-	#$(MAKE) plugins
+	$(MAKE) plugins
 
 	touch $@
 
@@ -70,8 +70,9 @@
 	$(MAKE) prefix=$(CURDIR)/debian/kismet/opt/kismet suidinstall
 	rm -Rf $(CURDIR)/debian/kismet/opt/kismet/share/man
 	# Plugin dependencies: libbluetooth3-dev, libssl-dev, libusb-dev
-	#$(MAKE) prefix=$(CURDIR)/debian/kismet/opt/kismet plugins-install
+	$(MAKE) prefix=$(CURDIR)/debian/tmp plugins-install
 	dh_install debian/manuf opt/kismet/etc/
+	dh_install debian/kismet_server usr/bin/
 
 
 # Build architecture-independent files here.

## kismet 2011.03.R2

=== debian/changelog ===
kismet (2011.03.R2-2) unstable; urgency=low

  * Move configuration files back to /etc/kismet
    - Specify correct sysconfdir in rules file
    - Add mv_conffile commands in maintscript file
    - Add pre-build-dep for dpkg-maintscript-helper in control file
  * Delete old unneeded configuration files (Closes: #701515)
    - Add rm_conffile command in maintscript file

 -- Nick Andrik <nick.andrik@gmail.com>  Tue, 26 Feb 2013 17:05:46 +0100

kismet (2011.03.R2-1) unstable; urgency=low

  * New upstream release (Closes: #534884, #558773, #572593, LP: #407972)
  * New maintainer (Closes: #662105)
  * Patches
    - Removed gcc-4.3 and wsp100_support patches since they are included
      upstream.
    - fix_gpsmap_bashism: Fixes a bashism in multi-gpsmap example
      (Closes: #530111)
    - support_for_libnl3: Add support to build using libnl-3
    - fix_makefile: Fixes Makefile.inc.in to allow for passing compiler
      options to plugins build environment, useful for hardening
    - fix_manpage: Fixes some minor issues in kismet manpage
    - support_kfreebsd: Add support for kfreebsd systems
  * Source package builts two binary packages
    - Details documented in README.Debian (Closes: #416106)
    - Updated descriptions in control (Closes: #455213, LP: #70015)
  * Kismet no longer uses /var/{log,lib} folders. Removed mentions in postrm,
    kismet.dirs
  * Allow support for non-linux systems
    - Make libnl-dev, libbluetooth-dev and libcap-dev build-deps relevant only
      for linux systems
    - Add support for kfreebsd build
  * kismet.1 manpage
    - Fixed spelling typos (Closes: #683709)
    - Removed blank lines that make mdoc complain (Closes: #551994)
    - Corrected date syntax (Closes: #551997)
    - Added links for kismet_client and kismet_server manpages pointing to the
      main manpage
    - Override lintian warning for lack of manpage for kismet_capture (it is
      not run by user anyway)
  * Removed unnecessary link /etc/others-menu/0000_kismet.desktop
    (Closes: #563264)
  * Converted package to CDBS
    - Simplificaton of rules file
    - Added 3.0 (quilt) in source/format
  * Added hardening support
    - Specified debhelper version 9 in compat file
    - Added hardening options in rules file
      + Added explicit versioned dpkg-dev build dependency for dpkg-buildflags
    - Patched Makefile.inc.in to allow passing build options for plugins
    - lintian overrides for false positives in spectool_*.so plugins
  * Kismet allows for suid/priv dropping configured via debconf
    - Available debconf options are specified in the templates file
    - postinst creates the kismet user group if necessary and postrm removes
      it on package purge
  * Added full support for po-debconf
    - config and templates files
    - lintian override for suid install question
    - build dependency on po-debconf
    - po/POTFILES.in translation templates
    - translations include:
      + Japanese
      + Danish     (Closes: #693259)
      + Russian    (Closes: #693708, #696253)
      + Italian    (Closes: #693737)
      + German     (Closes: #693836)
      + Galician   (Closes: #693943)
      + French     (Closes: #693955)
      + Polish     (Closes: #694110)
      + Czech      (Closes: #694787)
      + Spanish    (Closes: #695538)
      + Portuguese (Closes: #696444)
      + Swedish    (Closes: #697292)
  * Added RELEASENOTES.txt in docs
  * Updated the watch file
    - URL can now include versions after 2009
    - Mangling in order to use dots instead of dashes in the version
  * Copyright file
    - Updated in dep5 format
    - Extended packaging copyright
    - Extended source copyright
    - Updated license for tcpdump-extract.h file (BSD-4 clause instead of
      BSD-3 clause)
  * Package maintenance in control
    - Bumped standars version to 3.9.4
    - Added project homepage
    - Dropped unnecessary build-deps

 -- Nick Andrik <nick.andrik@gmail.com>  Sat, 23 Feb 2013 02:03:31 +0100

kismet (2008-05-R1-4.3) unstable; urgency=low

  * Drop -rpath, it seems completely useless anyway

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 10 Jun 2011 12:58:18 +0200

kismet (2008-05-R1-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Buil-dep on libmagickcore-dev (closes: #625548, #629726)
  * Adding ${misc:Depends} for potential dh-induced dependencies

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 10 Jun 2011 12:56:21 +0200

kismet (2008-05-R1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unnecessary build-dep on libglib1.2-dev. (Closes: #523682).
  * Fix to build with gcc-4.4. (Closes: #545725).
    + Thanks to Alessio Treglia for the fix.
  * Replace Ethereal with wireshark in README. (Closes: #416104).
  * Fix symlink for desktop file in kismet.links. (Closes: #499791).

 -- Barry deFreese <bdefreese@debian.org>  Sat, 17 Oct 2009 15:44:42 -0400

kismet (2008-05-R1-4) unstable; urgency=low

  * updated the copyright file 
  * changed extra/manuf_update.sh to update the files in /etc/kismet (closes: #416105)
  * updated the readme.debian (closes: #416107)

 -- Francois Gurin <matrix@debian.org>  Fri, 04 Jul 2008 15:36:20 -0400

kismet (2008-05-R1-3) unstable; urgency=low

  * cleared out upstream debian\postinst for maemo (closes: #488442)
  * call dh_desktop in build script (closes: #489162)
  * added desktop and menu files

 -- Francois Gurin <matrix@debian.org>  Fri, 04 Jul 2008 09:42:16 -0400

kismet (2008-05-R1-2) unstable; urgency=low

  * Removed maemo-specific dpkg bits 

 -- Francois Gurin <matrix@debian.org>  Sun, 29 Jun 2008 04:41:38 -0400

kismet (2008-05-R1-1) unstable; urgency=low

  * New upstream release

 -- Francois Gurin <matrix@debian.org>  Fri, 13 Jun 2008 03:19:04 -0400

kismet (2007-10-R1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Applied patches to make package build with gcc-4.3, closes: #456091

 -- root <root@feivel.credativ.de>  Sun, 06 Apr 2008 10:33:49 +0000



=== debian/control ===
Source: kismet
Section: net
Priority: optional
Homepage: http://www.kismetwireless.net/
Maintainer: Nick Andrik <nick.andrik@gmail.com>
Vcs-Git: git://github.com/andrikos/kismet-debian.git
Vcs-Browser: http://github.com/andrikos/kismet-debian
Build-Depends: cdbs, debhelper(>=9), dpkg-dev (>= 1.16.1~), po-debconf,
 autotools-dev, libncurses5-dev, libpcap-dev, libpcre3-dev, pkg-config,
 libusb-dev, libssl-dev,
 libcap-dev [linux-any], libnl-genl-3-dev [linux-any],
 libbluetooth-dev [linux-any]
Standards-Version: 3.9.4

Package: kismet
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libcap2-bin [linux-any]
Suggests: kismet-plugins, festival, gpsd
Description: wireless sniffer and monitor - core
 Kismet is an 802.11 layer-2 wireless network detector, sniffer, and
 intrusion detection system. It will work with any wireless card that
 supports raw monitoring (rfmon) mode, and can sniff 802.11a/b/g/n
 traffic.
 .
 It can use other programs to play audio alarms for network events,
 read out network summaries, or provide GPS coordinates.
 .
 This is the main package containing the core, client, and server.

Package: kismet-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kismet(= ${binary:Version})
Enhances: kismet
Suggests: spectools
Description: wireless sniffer and monitor - plugins
 Kismet is an 802.11 layer-2 wireless network detector, sniffer, and
 intrusion detection system. It will work with any wireless card that
 supports raw monitoring (rfmon) mode, and can sniff 802.11a/b/g/n
 traffic.
 .
 It can use other programs to play audio alarms for network events,
 read out network summaries, or provide GPS coordinates.
 .
 This package provides the following extra plugins for Kismet:
  * autowep: detects the WEP key from BSSID and SSID;
  * btscan: basic scan support for the 802.15.1 (Bluetooth) protocol;
  * dot15d4: support for the 802.15.4 Personal Area Network protocol;
  * ptw: performs the Aircrack-NG PTW attack against captured data;
  * spectools: imports data from the spectools spectrum analyzer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_PREPEND = -Wall
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Run autoconf since we patch configure.in
#DEB_AUTO_UPDATE_ACLOCAL 	:= 1.11
#DEB_AUTO_UPDATE_AUTOCONF	:= 1

# Make sure the plugins are built without PIE support (they already use PIC
# since they are shared libraries)
nopie = $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS),-pie dpkg-buildflags --get $(1))

DEB_CONFIGURE_SCRIPT_ENV += PLUGINLDFLAGS="-fPIC $(call nopie,LDFLAGS)"
DEB_CONFIGURE_SYSCONFDIR := /etc/kismet

DEB_MAKE_INSTALL_TARGET := suidinstall SUIDGROUP=root
DEB_MAKE_CLEAN_TARGET :=
DEB_DH_INSTALL_ARGS_DEFAULT := --fail-missing

DEB_MAKE_ENVVARS += DESTDIR=$(DEB_DESTDIR)

clean::
	[ ! -f Makefile ] || $(DEB_MAKE_INVOKE) plugins-clean
	[ ! -f Makefile ] || $(DEB_MAKE_INVOKE) distclean
	debconf-updatepo
	
configure/kismet:: CFLAGS := $(DEB_CFLAGS_MAINT_PREPEND) $(call nopie,CXXFLAGS)
configure/kismet::
	$(DEB_MAKE_INVOKE) dep

build/kismet-plugins::
	$(DEB_MAKE_INVOKE) plugins

install/kismet-plugins::
	$(DEB_MAKE_INVOKE) plugins-install

=== debian/watch ===
version=3
opts=versionmangle=s/-/./g \
 http://www.kismetwireless.net/code/kismet-([R0-9-]+)\.tar\.gz  debian uupdate

## kismet 2013.03.R1b

=== plugin-btscan/Makefile ===
# You will need kismet newcore sources
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ -lbluetooth -lpthread
CFLAGS 	+= -I$(KIS_INC_DIR) -g -fPIC
CXXFLAGS += -I$(KIS_INC_DIR) -g -fPIC

SRVOBJS = packetsource_linuxbt.o tracker_btscan.o dumpfile_btscantxt.o kismet_btscan.o
SRVOUT	= btscan.so

CLIOBJS	= btscan_ui.o
CLIOUT 	= btscan_ui.so

all:	$(SRVOUT) $(CLIOUT)

$(CLIOUT):	$(CLIOBJS)
	$(LD) $(PLUGINLDFLAGS) $(CLIOBJS) -o $(CLIOUT) $(LIBS)

$(SRVOUT):	$(SRVOBJS)
	$(LD) $(PLUGINLDFLAGS) $(SRVOBJS) -o $(SRVOUT) $(LIBS)

install:	$(SRVOUT) $(CLIOUT)
	mkdir -p $(DESTDIR)/$(plugindir)
	$(INSTALL) -o $(INSTUSR) -g $(INSTGRP) -m 644 $(SRVOUT) $(DESTDIR)/$(plugindir)/$(SRVOUT)
	mkdir -p $(DESTDIR)/$(plugindir)_client
	$(INSTALL) -o $(INSTUSR) -g $(INSTGRP) -m 644 $(CLIOUT) $(DESTDIR)/$(plugindir)_client/$(CLIOUT)

userinstall:	$(SRVOUT) $(CLIOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	$(INSTALL) -v $(SRVOUT) ${HOME}/.kismet/plugins/$(SRVOUT)
	mkdir -p ${HOME}/.kismet/client_plugins/
	$(INSTALL) -v $(CLIOUT) ${HOME}/.kismet/client_plugins/$(CLIOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== debian/changelog ===
kismet (2013.03.R1b-3build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:42:22 +0000

kismet (2013.03.R1b-3) unstable; urgency=low

  * Fix an incorrect path for dpkg-statoverride (Closes: #729127)
  * Bump policy to 3.9.5

 -- Nick Andrik <nick.andrik@gmail.com>  Tue, 12 Nov 2013 03:59:00 +0100

kismet (2013.03.R1b-2) unstable; urgency=low

  * Add categories to .desktop file (Closes: #718833)
  * Add Brazilian Portuguese translation for po-debconf (Closes: #719193)
  * Remove an unneeded hardening override for kismet-plugins

 -- Nick Andrik <nick.andrik@gmail.com>  Mon, 14 Oct 2013 01:40:23 +0200

kismet (2013.03.R1b-1) unstable; urgency=low

  * New upstream release
  * libnl3 support
    - Remove debian/patches/support_for_libnl3, included upstream
  * plugin hardening support
    - Add support for PLUGINCXXFLAGS in configure.in
    - Specify PLUGINCXXFLAGS in debian/rules
    - Update debian/patches/fix_makefile patch to use PLUGINCXXFLAGS
    - Update configure file, since we patch configure.in
  * Also include restricted plugins
    - Add appropriate rules in debian/rules
  * Capabilities are used for suid dropping only, they cannot be used to avoid
    suid altogether (Closes: #703194)
    - Update debian/kismet.postinst
  * Explicitly declare manpages to be installed
    - Add debian/kismet.manpages
  * Update debian/watch url to also include letters

 -- Nick Andrik <nick.andrik@gmail.com>  Thu, 25 Apr 2013 03:58:02 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libusb-dev, libssl-dev,
  libcap-dev [linux-any], libnl-genl-3-dev [linux-any],
  libbluetooth-dev [linux-any]
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: kismet
 Architecture: any
@@ -48,5 +48,3 @@
   * dot15d4: support for the 802.15.4 Personal Area Network protocol;
   * ptw: performs the Aircrack-NG PTW attack against captured data;
   * spectools: imports data from the spectools spectrum analyzer.
-
-

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # since they are shared libraries)
 nopie = $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS),-pie dpkg-buildflags --get $(1))
 
-DEB_CONFIGURE_SCRIPT_ENV += PLUGINLDFLAGS="-fPIC $(call nopie,LDFLAGS)"
+DEB_CONFIGURE_SCRIPT_ENV += PLUGINLDFLAGS="-fPIC $(call nopie,LDFLAGS)" PLUGINCXXFLAGS="$(call nopie,CXXFLAGS)"
 DEB_CONFIGURE_SYSCONFDIR := /etc/kismet
 
 DEB_MAKE_INSTALL_TARGET := suidinstall SUIDGROUP=root
@@ -26,6 +26,7 @@
 
 clean::
 	[ ! -f Makefile ] || $(DEB_MAKE_INVOKE) plugins-clean
+	[ ! -f Makefile ] || $(DEB_MAKE_INVOKE) restricted-plugins-clean
 	[ ! -f Makefile ] || $(DEB_MAKE_INVOKE) distclean
 	debconf-updatepo
 	
@@ -35,6 +36,8 @@
 
 build/kismet-plugins::
 	$(DEB_MAKE_INVOKE) plugins
+	$(DEB_MAKE_INVOKE) restricted-plugins
 
 install/kismet-plugins::
 	$(DEB_MAKE_INVOKE) plugins-install
+	$(DEB_MAKE_INVOKE) restricted-plugins-install

=== debian/watch ===
version=3
opts=versionmangle=s/-/./g \
 http://www.kismetwireless.net/code/kismet-([R0-9-]+.*)\.tar\.gz  debian uupdate

## kismet 2016.01.R1

=== debian/changelog ===
kismet (2016.01.R1-1) unstable; urgency=medium

  * New upstream release (Closes: #813801)
  * debian/patches
    - Add fix_typos patch to correct some spelling errors
    - Update kfreebsd_support in order to fix a FTBFS
    - Refresh existing patches
  * debian/control
    - Bump policy to 3.9.6
    - Add secure URIs for Vcs-* fields
    - Add description for syslog plugin
    - Remove description of disabled dot15d4 plugin
    - Remove unused libusb-dev build-dep (Closes: #810425)
  * debian/watch
    - Update URL to also check for .tar.xz files
    - Add support for checking upstream PGP signature
  * Remove absolute paths for programs in kismet.post{inst,rm}
  * Desktop menu entry
    - Populate Keywords field in kismet.desktop
    - Remove unused kismet.menu since kismet.desktop is used instead
  * General cleanup in debian/copyright
  * Debconf changes
    - Properly check the username list provided by the user (LP: #1172993)
      + Add appropriate entry in kismet.templates
      + Update kismet.config to perform the checks
    - Update po-debconf
      + Add Dutch translation (Closes: #765414, #805045)
      + Update Russian translation (Closes: #804057)
      + Update Danish translation (Closes: #804085)
      + Update German translation (Closes: #804410)
      + Update Czech translation (Closes: #804657)
      + Update Dutch translation (Closes: #805045)
      + Update Italian translation (Closes: #805147)
      + Update French translation (Closes: #805887)

 -- Nick Andrik <nick.andrik@gmail.com>  Sat, 06 Feb 2016 01:04:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Homepage: http://www.kismetwireless.net/
 Maintainer: Nick Andrik <nick.andrik@gmail.com>
-Vcs-Git: git://github.com/andrikos/kismet-debian.git
-Vcs-Browser: http://github.com/andrikos/kismet-debian
+Vcs-Git: https://github.com/andrikos/kismet-debian.git
+Vcs-Browser: https://github.com/andrikos/kismet-debian
 Build-Depends: cdbs, debhelper(>=9), dpkg-dev (>= 1.16.1~), po-debconf,
  autotools-dev, libncurses5-dev, libpcap-dev, libpcre3-dev, pkg-config,
- libusb-dev, libssl-dev,
- libcap-dev [linux-any], libnl-genl-3-dev [linux-any],
+ libssl-dev, libcap-dev [linux-any], libnl-genl-3-dev [linux-any],
  libbluetooth-dev [linux-any]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: kismet
 Architecture: any
@@ -45,6 +44,6 @@
  This package provides the following extra plugins for Kismet:
   * autowep: detects the WEP key from BSSID and SSID;
   * btscan: basic scan support for the 802.15.1 (Bluetooth) protocol;
-  * dot15d4: support for the 802.15.4 Personal Area Network protocol;
   * ptw: performs the Aircrack-NG PTW attack against captured data;
-  * spectools: imports data from the spectools spectrum analyzer.
+  * spectools: imports data from the spectools spectrum analyzer;
+  * syslog: provides supports for alerts using standard unix syslog services.

## kismet 2016.07.R1

=== client-plugin-example/Makefile ===
# Kismet wireless sniffer

VERSION_MAJOR	= 2005
VERSION_MINOR	= 00
VERSION_TINY	= devel-newcore

KIS_INC_DIR		= ../

HOME	= .
CXX	= g++
CC	= gcc
LD	= g++
LDFLAGS	= -shared -rdynamic
LIBS	= -lstdc++ 
CFLAGS	= -fPIC
CXXFLAGS = -fPIC -pthread -DVERSION_MAJOR=\"$(VERSION_MAJOR)\" -DVERSION_MINOR=\"$(VERSION_MINOR)\" -DVERSION_TINY=\"$(VERSION_TINY)\" -DTIMESTAMP=\"`cat TIMESTAMP`\"
CPPFLAGS = -I/usr/include -I$(KIS_INC_DIR)

PLUGOBJS = kcliplug.o

kcliplugin.so:	$(PLUGOBJS)
	$(LD) $(LDFLAGS) $(PLUGOBJS) -o kcliplugin.so $(LIBS)

.c.o:
	$(CC) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== disable-plugin-dot15d4/Makefile ===
# You will need kismet newcore sources
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ -lusb -lpthread
CFLAGS 	+= -I$(KIS_INC_DIR) -g -fPIC
CXXFLAGS 	+= -I$(KIS_INC_DIR) -g -fPIC

SRVOBJS = packetsource_raven.o packetsource_serialdev.o \
			packet_dot15d4.o packet_dot15d4_types.o \
			tracker_dot15d4.o kismet_dot15d4.o
SRVOUT	= dot15dot4.so

all:	$(SRVOUT) $(CLIOUT)

$(CLIOUT):	$(CLIOBJS)
	$(LD) $(PLUGINLDFLAGS) $(CLIOBJS) -o $(CLIOUT) $(LIBS)

$(SRVOUT):	$(SRVOBJS)
	$(LD) $(PLUGINLDFLAGS) $(SRVOBJS) -o $(SRVOUT) $(LIBS)

install:	$(SRVOUT) $(CLIOUT)
	mkdir -p $(DESTDIR)/$(plugindir)
	$(INSTALL) -o $(INSTUSR) -g $(INSTGRP) -m 644 $^ $(DESTDIR)/$(plugindir)/$(SRVOUT)

userinstall:	$(SRVOUT) $(CLIOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	$(INSTALL) -v $(SRVOUT) ${HOME}/.kismet/plugins/$(SRVOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== plugin-alertsyslog/Makefile ===
# You will need kismet newcore sources
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ 
CFLAGS 	+= -I/usr/include -I$(KIS_INC_DIR) -g -fPIC
CXXFLAGS 	+= -I/usr/include -I$(KIS_INC_DIR) -g -fPIC

PLUGOBJS = alertsyslog.o
PLUGOUT = alertsyslog.so

all:	$(PLUGOUT)

$(PLUGOUT):	$(PLUGOBJS)
	$(LD) $(PLUGINLDFLAGS) $(PLUGOBJS) -o $(PLUGOUT) $(LIBS)

install:	$(PLUGOUT)
	mkdir -p $(DESTDIR)/$(plugindir)
	install -o $(INSTUSR) -g $(INSTGRP) -m 644 $^ $(DESTDIR)/$(plugindir)/$^

userinstall:	$(PLUGOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	install $(PLUGOUT) ${HOME}/.kismet/plugins/$(PLUGOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CXXFLAGS) $(CXXFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== plugin-spectools/Makefile ===
# You will need kismet newcore sources
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ 
CFLAGS 	+= -I$(KIS_INC_DIR) -g -fPIC
CXXFLAGS 	+= -I$(KIS_INC_DIR) -g -fPIC

CLIOBJS = spectools_ui.o
CLIOUT	= spectools_ui.so

SRVOBJS = spectool_netclient.o spectool_kismet.o
SRVOUT	= spectool_net.so

all:	$(SRVOUT) $(CLIOUT)

$(CLIOUT):	$(CLIOBJS)
	$(LD) $(PLUGINLDFLAGS) $(CLIOBJS) -o $(CLIOUT) $(LIBS)

$(SRVOUT):	$(SRVOBJS)
	$(LD) $(PLUGINLDFLAGS) $(SRVOBJS) -o $(SRVOUT) $(LIBS)

install:	$(SRVOUT) $(CLIOUT)
	mkdir -p $(DESTDIR)/$(plugindir)
	$(INSTALL) -o $(INSTUSR) -g $(INSTGRP) -m 644 $(SRVOUT) $(DESTDIR)/$(plugindir)/$(SRVOUT)
	mkdir -p $(DESTDIR)/$(plugindir)_client
	$(INSTALL) -o $(INSTUSR) -g $(INSTGRP) -m 644 $(CLIOUT) $(DESTDIR)/$(plugindir)_client/$(CLIOUT)

userinstall:	$(SRVOUT) $(CLIOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	$(INSTALL) -v $(SRVOUT) ${HOME}/.kismet/plugins/$(SRVOUT)
	mkdir -p ${HOME}/.kismet/client_plugins/
	$(INSTALL) -v $(CLIOUT) ${HOME}/.kismet/client_plugins/$(CLIOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== plugin-syslog/Makefile ===
# You will need kismet newcore sources
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ 
CFLAGS 	+= -I$(KIS_INC_DIR) -g -fPIC
CXXFLAGS 	+= -I$(KIS_INC_DIR) -g -fPIC

PLUGOBJS = kismet-syslog.o
PLUGOUT = kismet-syslog.so

all:	$(PLUGOUT)

$(PLUGOUT):	$(PLUGOBJS)
	$(LD) $(PLUGINLDFLAGS) $(PLUGOBJS) -o $(PLUGOUT) $(LIBS)

install:	$(PLUGOUT)
	mkdir -p $(DESTDIR)/$(plugindir)
	$(INSTALL) -o $(INSTUSR) -g $(INSTGRP) -m 644 $^ $(DESTDIR)/$(plugindir)/$^

userinstall:	$(PLUGOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	$(INSTALL) $(PLUGOUT) ${HOME}/.kismet/plugins/$(PLUGOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== restricted-plugin-autowep/Makefile ===
# You will need kismet newcore sources
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ 
CFLAGS 	+= -I$(KIS_INC_DIR) -g -fPIC
CXXFLAGS 	+= -I$(KIS_INC_DIR) -g -fPIC

PLUGOBJS = autowep-kismet.o
PLUGOUT = autowep-kismet.so

all:	$(PLUGOUT)

$(PLUGOUT):	$(PLUGOBJS)
	$(LD) $(PLUGINLDFLAGS) $(PLUGOBJS) -o $(PLUGOUT) $(LIBS)

install:	$(PLUGOUT)
	mkdir -p $(DESTDIR)/$(plugindir)
	$(INSTALL) -o $(INSTUSR) -g $(INSTGRP) -m 644 $^ $(DESTDIR)/$(plugindir)/$^

userinstall:	$(PLUGOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	$(INSTALL) $(PLUGOUT) ${HOME}/.kismet/plugins/$(PLUGOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== restricted-plugin-ptw/Makefile ===
# You will need kismet newcore sources
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

PLUGINLDFLAGS += -shared -rdynamic
LIBS	+= -lstdc++ -lssl -lpthread -lcrypto
CFLAGS 	+= -I$(KIS_INC_DIR) -g -fPIC
CXXFLAGS 	+= -I$(KIS_INC_DIR) -g -fPIC

PLUGOBJS = aircrack-crypto.o aircrack-ptw2-lib.o aircrack-kismet.o
PLUGOUT = aircrack-kismet.so

all:	$(PLUGOUT)

$(PLUGOUT):	$(PLUGOBJS)
	$(LD) $(PLUGINLDFLAGS) $(PLUGOBJS) -o $(PLUGOUT) $(LIBS)

install:	$(PLUGOUT)
	mkdir -p $(DESTDIR)/$(plugindir)
	$(INSTALL) -o $(INSTUSR) -g $(INSTGRP) -m 644 $^ $(DESTDIR)/$(plugindir)/$^

userinstall:	$(PLUGOUT)
	mkdir -p ${HOME}/.kismet/plugins/
	$(INSTALL) $(PLUGOUT) ${HOME}/.kismet/plugins/$(PLUGOUT)

clean:
	@-rm -f *.o
	@-rm -f *.so

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

=== debian/changelog ===
kismet (2016.07.R1-1.1~build1) bionic; urgency=medium

  * Upload to Ubuntu with no delta now that we have openss 1.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Mar 2018 17:06:56 +0200

kismet (2016.07.R1-1) unstable; urgency=medium

  * New upstream release (Closes: #835390)
  * Po-debconf translations
    - Update Japanese translation (Closes: #819600)
  * debian/patches
    - Add openssl_1.1.0_port to make buildable with OpenSSL 1.1.0
      (Closes: #828365)
    - Update fix_typos in order to correct additional typos
    - Refresh existing patches
  * debian/control
    - Bump policy to 3.9.8

 -- Nick Andrik <nick.andrik@gmail.com>  Sat, 05 Nov 2016 02:04:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	[ ! -f Makefile ] || $(DEB_MAKE_INVOKE) distclean
 	debconf-updatepo
 	
-configure/kismet:: CFLAGS := $(DEB_CFLAGS_MAINT_PREPEND) $(call nopie,CXXFLAGS)
+#configure/kismet:: CFLAGS := $(DEB_CFLAGS_MAINT_PREPEND) $(call nopie,CXXFLAGS)
 configure/kismet::
 	$(DEB_MAKE_INVOKE) dep

=== debian/watch ===
version=3
opts=versionmangle=s/-/./g,pgpsigurlmangle=s/$/.asc/ \
 http://www.kismetwireless.net/code/kismet-([R0-9-]+.*)\.tar\.[gx]z  debian uupdate
